EGG-QTESS(1)

NAME
egg-qtess - tesselate NURBS surfaces in .egg files

SYNOPSIS
egg-qtess [opts] -o output.egg input.egg
egg-qtess [opts] input.egg >output.egg

DESCRIPTION
egg-qtess reads an egg file, tessellates all of its NURBS surfaces using a simple uniform tessellation, and outputs a polygonal egg file.

Characters are supported, soft-skinned and otherwise; joint ownership is computed correctly for each new polygon vertex. Primitives other than NURBS surfaces appearing in the egg file are unaffected.

OPTIONS

-noabs
    Don't allow the input egg file to have absolute pathnames. If it does, abort with an error. This option is designed to help detect errors when populating or building a standalone model tree, which should be self-contained and include only relative pathnames.

-f filename
    Read the indicated parameter file. Type egg-qtess -H to print a description of the parameter file format.

-up subdiv
    Specify a uniform subdivision per patch (isoparam). Each NURBS surface is made up of N x M patches, each of which is divided into subdiv x subdiv quads. A fractional number is allowed.

-us subdiv
    Specify a uniform subdivision per surface. Each NURBS surface is subdivided into subdiv x subdiv quads, regardless of the number of isoparams it has. A fractional number is meaningless.

-t tris
    Specify an approximate number of triangles to produce. This is the total number of triangles for the entire egg file, including those surfaces that have already been given an explicit tessellation by a parameter file.

-ap Attempt to automatically place tessellation lines where they'll do the most good on each surface (once the number of polygons for the surface has already been determined).

-ad Attempt to automatically distribute polygons among the surfaces where they are most needed according to curvature and size, instead of according to the number of isoparams. This only has meaning when used in conjunction with -t.

-ar ratio
    Specify the ratio of dominance of size to curvature for -ap and -ad. A value of 0 forces placement by curvature only; a very large value (like 1000) forces placement by size only. The default is 5.0.

-e  Respect subdivision parameters given in the egg file. If this is specified, the egg file may define the effective number of patches of each NURBS entry. This can be used alone or in conjunction with -u or -t to fine-tune the uniform tessellation on a per-surface basis. (This is ignored if -ad is in effect.)

-q  Instead of writing an egg file, generate a parameter file for output.

-H  Describe the format of the parameter file specified with -f.

-no Strip all normals.

-np Strip existing normals and redefine polygon normals.

-nv threshold
    Strip existing normals and redefine vertex normals. Consider an edge between adjacent polygons to be smooth if the angle between them is less than threshold degrees.

-nn Preserve normals exactly as they are. This is the default.

-tbn name
    Compute tangent and binormal for the named texture coordinate set(s). The name may include wildcard characters such as * and ?. The normal must already exist or have been computed via one of the above options. The tangent and binormal are used to implement bump mapping and related texture-based lighting effects. This option may be repeated as necessary to name multiple texture coordinate sets.

-tbnall
    Compute tangent and binormal for all texture coordinate sets. This is equivalent to -tbn "*".

-tbnauto
    Compute tangent and binormal for all normal maps.

-o filename
    Specify the filename to which the resulting egg file will be written. If this option is omitted, the egg file is written to standard output.

-cs coordinate-system
    Specify the coordinate system of the resulting egg file. This may be one of 'y-up', 'z-up', 'y-up-left', or 'z-up-left'. The default is the same coordinate system as the input egg file. If this is different from the input egg file, a conversion will be performed.

-h  Display this help page.